Package org.springframework.jdbc

# Class LobRetrievalFailureException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.springframework.core.NestedRuntimeException
org.springframework.dao.DataAccessException
org.springframework.dao.NonTransientDataAccessException
org.springframework.dao.DataRetrievalFailureException
org.springframework.jdbc.LobRetrievalFailureException

All Implemented Interfaces:
  `Serializable`

@Deprecated(since="6.2") public class LobRetrievalFailureException extends org.springframework.dao.DataRetrievalFailureException
Deprecated.
as of 6.2 along with `LobHandler`
Exception to be thrown when a LOB could not be retrieved.

Since:
  1.0.2
Author:
  Juergen Hoeller
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`LobRetrievalFailureException(String msg)`
Deprecated.
Constructor for LobRetrievalFailureException.
`LobRetrievalFailureException(String msg, IOException ex)`
Deprecated.
Constructor for LobRetrievalFailureException.

## Method Summary

### Methods inherited from class org.springframework.core.NestedRuntimeException

`contains, getMostSpecificCause, getRootCause`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### LobRetrievalFailureException

public LobRetrievalFailureException(String msg)
Deprecated.
Constructor for LobRetrievalFailureException.

Parameters:
  `msg` - the detail message

### LobRetrievalFailureException

public LobRetrievalFailureException(String msg, IOException ex)
Deprecated.
Constructor for LobRetrievalFailureException.

Parameters:
  `msg` - the detail message
  `ex` - the root cause IOException